<!--
function ask(msg) {
	if( msg=='' ) {
		msg='提示：删除后将不可恢复，您确定这样做吗？';
	}
	if (confirm(msg)) {
		return true;
	} else {
		return false;
	}
}
//-->

<!--login div
function showDetail() { 
//背景
  var bgObj=document.getElementById("bgDiv");
  bgObj.style.width = document.body.offsetWidth + "px";
  bgObj.style.height = screen.height + "px"; 

//定义窗口
  var msgObj=document.getElementById("msgDiv");
  msgObj.style.marginTop = -75 +  document.documentElement.scrollTop + "px"; 

//关闭
  document.getElementById("msgShut").onclick = function(){
  bgObj.style.display = msgObj.style.display = "none";
  }
  msgObj.style.display = bgObj.style.display = "block";
}
//-->


function doZoom(size){
document.getElementById('a_content').style.fontSize=size+'px'}


function copyUrl(title){
	var cStr=title;
	cStr= cStr.replace('"','\"');
	cStr+="\n"+window.location.href;  
	window.clipboardData.setData("Text",cStr); 
	alert('复制成功！您可以将本页推荐给你QQ/MSN或者论坛上的朋友阅读！');
}


function bookmarksite(title, url){
if (document.all)
window.external.AddFavorite(url, title);
else if (window.sidebar)
window.sidebar.addPanel(title, url, "")
}


var tID1=0;
function tab_ex(ID){
  if(ID!=tID1){
    document.getElementById('tab_title'+tID1).className="a_txt2"; 
    document.getElementById('tab_title'+ID).className="a_txt"; 
	document.getElementById('tab_content'+tID1).style.display='none'; 
	document.getElementById('tab_content'+ID).style.display=''; 
    tID1=ID;
  }
}

var tID1=0;
function title_tab(ID){
  if(ID!=tID1){
    document.getElementById('title_tab'+tID1).className="title_tab2"; 
    document.getElementById('title_tab'+ID).className="title_tab"; 
	document.getElementById('ttab_content'+tID1).style.display='none'; 
	document.getElementById('ttab_content'+ID).style.display=''; 
    tID1=ID;
  }
}


var tID1=0;
function rc_title_tab(ID){
  if(ID!=tID1){
    document.getElementById('rc_title_tab'+tID1).className="rc_title_tab2"; 
    document.getElementById('rc_title_tab'+ID).className="rc_title_tab"; 
	document.getElementById('rc_ttab_content'+tID1).style.display='none'; 
	document.getElementById('rc_ttab_content'+ID).style.display=''; 
    tID1=ID;
  }
}



function login_check() {
if ( document.login_form.username.value == '' ) {
window.alert('请输入用户帐号^_^');
document.login_form.username.focus();
return false;}

if ( document.login_form.password.value == '' ) {
window.alert('请输入用户密码^_^');
document.login_form.password.focus();
return false;}

return true;}


function login_check2() {
if ( document.login_form2.username.value == '' ) {
window.alert('请输入用户帐号^_^');
document.login_form2.username.focus();
return false;}

if ( document.login_form2.password.value == '' ) {
window.alert('请输入用户密码^_^');
document.login_form2.password.focus();
return false;}

return true;}


function comment_check() {
if ( document.form_c.comment.value == '' ) {
window.alert('请输入评论内容^_^');
document.form_c.comment.focus();
return false;}

if ( document.form_c.check_code.value == '' ) {
window.alert('请输入验证码^_^');
document.form_c.check_code.focus();
return false;}

return true;}



function reg_check() {
if ( document.form_s.username.value == '' ) {
window.alert('请输入用户名^_^');
document.form_s.username.focus();
return false;}

if( document.form_s.username.value.length<4) {
window.alert('请输入有效的账号,只能是大于等于4位数值^_^');
document.form_s.username.focus();
return false;}
if( document.form_s.username.value.length>16) {
window.alert('请输入有效的账号,只能是小于等于16位数值^_^');
document.form_s.username.focus();
return false;}

if ( document.form_s.password.value == '' ) {
window.alert('请输入密码^_^');
document.form_s.password.focus();
return false;}

if( document.form_s.password.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.form_s.password.focus();
return false;}
if( document.form_s.password.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.form_s.password.focus();
return false;}

if ( document.form_s.password_a.value == '' ) {
window.alert('请再次输入密码^_^');
document.form_s.password_a.focus();
return false;}

if( document.form_s.password_a.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.form_s.password_a.focus();
return false;}
if( document.form_s.password_a.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.form_s.password_a.focus();
return false;}

if ( document.form_s.email.value == '' ) {
window.alert('请输入电子邮件^_^');
document.form_s.email.focus();
return false;}

if ( document.form_s.email.value.length> 0 &&!document.form_s.email.value.indexOf('@')==-1|document.form_s.email.value.indexOf('.')==-1 ) {
window.alert('请设置正确的Email地址，如:webmaster@chinaseoabc.com');
document.form_s.email.focus();
return false;}

if( document.form_s.question.value.length> 0 & document.form_s.question.value.length<3 ) {
window.alert('请设置有效的问题,只能是大于等于3位字符^_^');
document.form_s.question.focus();
return false;}


if( document.form_s.answer.value.length> 0 & document.form_s.answer.value.length<3) {
window.alert('请设置有效的答案,只能是大于等于3位字符^_^');
document.form_s.answer.focus();
return false;}

if(document.form_s.tel.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   =='')   
      {   
  window.alert("联系电话格式如：010-12345678 ^_^");   
document.form_s.tel.focus();
return false;}

if(document.form_s.qq.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("QQ只能是数字^_^");   
document.form_s.qq.focus();
return false;}

if ( document.form_s.website.value.length> 0 &&!document.form_s.website.value.indexOf('http://')==-1|document.form_s.website.value.indexOf('.')==-1 ) {
window.alert('请设置正确的网站地址，如:http://www.chinaseoabc.com/');
document.form_s.website.focus();
return false;}

return true;}


function link_check() {
if ( document.form_s.name.value == '' ) {
window.alert('请输入网站名称^_^');
document.form_s.name.focus();
return false;}

if ( document.form_s.url.value == '' ) {
window.alert('请输入网站网址^_^');
document.form_s.url.focus();
return false;}


if ( document.form_s.url.value.length> 0 &&!document.form_s.url.value.indexOf('http://')==-1|document.form_s.url.value.indexOf('.')==-1 ) {
window.alert('请设置正确的网站地址，如:http://www.chinaseoabc.com/');
document.form_s.url.focus();
return false;}

if ( document.form_s.web_image.value.length> 0 &&!document.form_s.web_image.value.indexOf('http://')==-1|document.form_s.web_image.value.indexOf('.')==-1 ) {
window.alert('请设置正确的网站LOGO地址，如:http://www.chinaseoabc.com/images/common_logo1.gif');
document.form_s.web_image.focus();
return false;}

return true;}



function getpass_check() {

if( document.get_form1.password.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.get_form1.password.focus();
return false;}
if( document.get_form1.password.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.get_form1.password.focus();
return false;}

if( document.get_form1.passwordagain.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.get_form1.passwordagain.focus();
return false;}
if( document.get_form1.passwordagain.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.get_form1.passwordagain.focus();
return false;}

return true;}







function profile_check() {
if ( document.form1.email.value == '' ) {
window.alert('请输入电子邮件^_^');
document.form1.email.focus();
return false;}

if ( document.form1.email.value.length> 0 &&!document.form1.email.value.indexOf('@')==-1|document.form1.email.value.indexOf('.')==-1 ) {
window.alert('请设置正确的Email地址，如:webmaster@chinaseoabc.com');
document.form1.email.focus();
return false;}


if( document.form1.question.value.length> 0 & document.form1.question.value.length<3 ) {
window.alert('请设置有效的问题,只能是大于等于3位字符^_^');
document.form1.question.focus();
return false;}


if( document.form1.answer.value.length> 0 & document.form1.answer.value.length<3) {
window.alert('请设置有效的答案,只能是大于等于3位字符^_^');
document.form1.answer.focus();
return false;}

if(document.form1.tel.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   =='')   
      {   
  window.alert("联系电话格式如：010-12345678 ^_^");   
document.form1.tel.focus();
return false;}

if(document.form1.qq.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("QQ只能是数字^_^");   
document.form1.qq.focus();
return false;}

if ( document.form1.website.value.length> 0 &&!document.form1.website.value.indexOf('http://')==-1|document.form1.website.value.indexOf('.')==-1 ) {
window.alert('请设置正确的网站地址，如:http://www.chinaseoabc.com/');
document.form1.website.focus();
return false;}


return true;}


function password_check() {
if ( document.form1.password.value == '' ) {
window.alert('请输入原有密码^_^');
document.form1.password.focus();
return false;}

if( document.form1.password.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.form1.password.focus();
return false;}
if( document.form1.password.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.form1.password.focus();
return false;}

if ( document.form1.new_password.value == '' ) {
window.alert('请输入新密码^_^');
document.form1.new_password.focus();
return false;}

if( document.form1.new_password.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.form1.new_password.focus();
return false;}
if( document.form1.new_password.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.form1.new_password.focus();
return false;}

if ( document.form1.renew_password.value == '' ) {
window.alert('请重复输入新密码^_^');
document.form1.renew_password.focus();
return false;}

if( document.form1.renew_password.value.length<6) {
window.alert('请设置有效的密码,只能是大于等于6位数值^_^');
document.form1.renew_password.focus();
return false;}
if( document.form1.renew_password.value.length>16) {
window.alert('请设置有效的密码,只能是小于等于16位数值^_^');
document.form1.renew_password.focus();
return false;}


return true;}


function info_check() {
if ( document.form1.name.value == '' ) {
window.alert('请输入标题^_^');
document.form1.name.focus();
return false;}

if ( document.form1.type.value == '' ) {
window.alert('请选择分类^_^');
document.form1.type.focus();
return false;}

return true;}


function firm_check() {
if ( document.form1.a_name.value == '' ) {
window.alert('请输入名称^_^');
document.form1.a_name.focus();
return false;}

if ( document.form1.cid.value == '' ) {
window.alert('请选择分类^_^');
document.form1.cid.focus();
return false;}

if(document.form1.a_zip.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("请输入数字^_^");   
document.form1.a_zip.focus();
return false;}

if(document.form1.a_tel.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   =='')   
      {   
  window.alert("联系电话格式如：010-12345678 ^_^");   
document.form1.a_tel.focus();
return false;}

if(document.form1.a_mobile.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("请输入数字^_^");   
document.form1.a_mobile.focus();
return false;}

if ( document.form1.a_email.value.length> 0 &&!document.form1.a_email.value.indexOf('@')==-1|document.form1.a_email.value.indexOf('.')==-1 ) {
window.alert('请设置正确的Email地址^_^');
document.form1.a_email.focus();
return false;}

if ( document.form1.a_url.value.length> 0 &&!document.form1.a_url.value.indexOf('http://')==-1|document.form1.a_url.value.indexOf('.')==-1 ) {
window.alert('请设置正确的网站地址，如：http://www.chinaseoabc.com/');
document.form1.a_url.focus();
return false;}

return true;}


function recruit_check() {
if ( document.form1.j_firm.value == '' ) {
window.alert('请输入招聘公司^_^');
document.form1.j_firm.focus();
return false;}

if ( document.form1.j_name.value == '' ) {
window.alert('请输入招聘职位^_^');
document.form1.j_name.focus();
return false;}

if(document.form1.j_salary.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("工资待遇只能是数字^_^");   
document.form1.j_salary.focus();
return false;}

if(document.form1.j_sum.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   ==   -1)   
      {   
  window.alert("招聘人数只能是数字^_^");   
document.form1.j_sum.focus();
return false;}

return true;}


function resume_check() {


if(document.form1.tel.value.search(/^([0-9]*)([.]?)([0-9]*)$/)   == '' )   
      {   
  window.alert("联系电话格式如：010-12345678 ^_^");   
document.form1.tel.focus();
return false;}

if ( document.form1.email.value.length> 0 &&!document.form1.email.value.indexOf('@')==-1|document.form1.email.value.indexOf('.')==-1 ) {
window.alert('请设置正确的Email地址^_^');
document.form1.email.focus();
return false;}

return true;}


function ask_check() {
if ( document.ask_form.name.value == '' ) {
window.alert('请输入标题^_^');
document.ask_form.name.focus();
return false;}

if ( document.ask_form.q_cid.value == '' ) {
window.alert('请选择分类^_^');
document.ask_form.q_cid.focus();
return false;}

if ( document.ask_form.content.value == '' ) {
window.alert('请输入内容^_^');
document.ask_form.content.focus();
return false;}

return true;}


function ask_check2() {
if ( document.ask_form.name.value == '' ) {
window.alert('请输入标题^_^');
document.ask_form.name.focus();
return false;}

if ( document.ask_form.q_cid.value == '' ) {
window.alert('请选择分类^_^');
document.ask_form.q_cid.focus();
return false;}


return true;}

function reply_check() {

if ( document.reply_form.verycode.value == '' ) {
window.alert('请输入验证码^_^');
document.reply_form.verycode.focus();
return false;}

return true;}

function login_no()
{
	document.write("<form id='login_form' name='login_form' method='post' action='/LogIn/index.asp?type=login'><table width='100%' border='0' cellspacing='0' cellpadding='0'><tr><td><strong>用户帐号：</strong></td><td><input type='text' class='inp1' id='username' name='username' maxlength='20' value='' tabindex='1' /></td><td><input type='submit' class='but1' value='登录' onClick='javascript:return login_check()' tabindex='3' /></td></tr><tr><td><strong>用户密码：</strong></td><td><input type='password' class='inp1' id='password' name='password' maxlength='20' tabindex='2' /></td><td><input type='button' value='注册' class='but2' ONCLICK='NewWindow()' tabindex='4' /></td></tr></table></form>")
}

function getCookie(c_name)
{
if (document.cookie.length>0)
  {
  c_start=document.cookie.indexOf(c_name + "=")
  if (c_start!=-1)
    { 
    c_start=c_start + c_name.length+1 
    c_end=document.cookie.indexOf(";",c_start)
    if (c_end==-1) c_end=document.cookie.length
    return unescape(document.cookie.substring(c_start,c_end))
    } 
  }
return ""
}

function setCookie(c_name,value,expiredays)
{
var exdate=new Date()
exdate.setDate(exdate.getDate()+expiredays)
document.cookie=c_name+ "=" +escape(value)+
((expiredays==null) ? "" : ";expires="+exdate.toGMTString())
}

function checkCookie()
{
username=getCookie('username')
if (username!=null && username!="")
  {
    login_yes()
  }
else 
  {
     login_no()
  }
}
function login_yes()
{
	document.write("<table width='100%' border='0' cellpadding='0' cellspacing='0'><tr valign='top'><td width='6'></td><td width='50'><iframe src='/MyAccount/myimg.asp' width=50 height=50 marginwidth=0 marginheight=0 hspace=0 vspace=0 frameborder=0 scrolling=no align=center></iframe></td><td width='10'></td><td><div class='str'><ul><li><Img src='/s/skin/U1.GIF' width='24' height='22' border='0'>&nbsp;<a title='进入我的会员中心' href='/MyAccount/index.asp' target='_self'>")
	document.write(getCookie('username')+"")
	document.write("</a>&nbsp;<font color='#ff3300'> 您好！</font></li><li><a href='/MyAccount/info_add.asp'' target='_blank'>我要发布信息</a>&nbsp;&nbsp;|&nbsp;&nbsp;<a href='/LogIn/?type=exit' onclick='logout()'>安全退出</a></li></ul></div></td></tr></table>")
}